﻿Public Class Form1
#Region "externe DLL Einbindung**********************************"
    'Imports the DLL and grants a compatibled access to its functions.                              'Importiert die DLL und gewährt einen kompatiblen Zugang zu ihren Funktionen.
    '(The DLL file has to be in the same folder as the EXE!)                                        '(Die DLL-Datei muss im selben Ordner wie die Exe sein!)

    'Attribute DLLImport affects the underneath function.                                           'Das Attribut DLLImport wirkt sich auf die untenstehenden Funktionen aus. 
    'The DLL's name.                                                                                'Der DLL-Name.	  
    'Method call for execution of the DLL function.                                                 'Methodenaufruf zur Ausführung der DLL funktion
    'Charset adapted to Delpi DLL(here Ansi, not Unicode).                                          'Charset wird der Delphi DLL angepasst (Hier wird Ansi verwendet, in Delphi Unicode).
    'Call the DLL function with return to Integer                                                   'Aufruf der Dll funktion mit dem Rückgabewert vom Typ Integer
    'Mapping (get compatibility) with MarshalAs.                                                    'Kompatibilität mit "MarshlAs" bekommen
    '...in ANSI character set with prefix length										            '...in ANSI Zeichen, mit dem prefix länge gesetzt.
    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=System.Runtime.InteropServices.CallingConvention.StdCall, CharSet:=System.Runtime.InteropServices.CharSet.Ansi)>
    Public Shared Function SET_XML_PATH_PC(<System.Runtime.InteropServices.MarshalAs(System.Runtime.InteropServices.UnmanagedType.AnsiBStr)> path_PAnsiChar As String) As Integer
    End Function
#End Region
#Region "Implementation******************************************"
    Private Sub btn_Set_XML_Path_PC_Click(sender As Object, e As EventArgs) Handles btn_Set_XML_Path_PC.Click    'if button Set_XML_Path_PC is clicked,                     'Wenn der Button Set_XML_Path_PC geklickt wird,
        Dim ErrorCode As Integer                                                                                 'create variable from type Integer,                        'erstelle die Variable vom Typ Integer,                                                                          
        SET_XML_PATH_PC(TextBox_Pfad.Text)                                                                       'then take the path from the textbox, set the path and     'dann nehme den Pfad von der Textbox, setze ihn und

        ErrorCode = SET_XML_PATH_PC(TextBox_Pfad.Text)                                                           'gave the value from set_xml_path_pc to errorcode.         'gib den Wert von set_xml_path_pc zur Variable errorcode.

        If ErrorCode = 0 Then                                                                                    'If the value is 0,                                        'Wenn der Wert 0 ist,
            TextBox_Status.Text = ""                                                                             'clear the textbox_Status and                              'leere die Textbox_Status und
            TextBox_Status.Text = "Connected"                                                                    'show the message "Connected" in the textbox_Status        'zeige die Nachricht "Verbunden" in ihr an.
        Else                                                                                                     'If the value is not 0,                                    'Wenn der Wert nicht 0 ist,
            TextBox_Status.Text = ""                                                                             'clear the textbox_Status and                              'leere die Textbox_Status und
            TextBox_Status.Text = "The path does not exist"                                                      'show the message "The path does not exist".               'zeige die Nachricht "Pfad existiert nicht" in ihr an.
        End If

        TextBox_DLL_Error_Code.Text = ""                                                                         'Clear the textbox_DLL_Error_Code and                      'Leere die Textbox_DLL_Error_Code und 
        TextBox_DLL_Error_Code.Text = Convert.ToString(ErrorCode)                                                'show the orginal ErrorCode in the textbox_DLL_Error_Code. 'zeige den orginal Error Code in ihr an.
    End Sub
#End Region
End Class
