﻿Public Class Form1
#Region "externe DLL Einbindung**********************************"
    'Imports the DLL and grants a compatibled access to its functions.                              'Importiert die DLL und gewährt einen kompatiblen Zugang zu ihren Funktionen.
    '(The DLL file has to be in the same folder as the EXE!)                                        '(Die DLL-Datei muss im selben Ordner wie die Exe sein!)

    'Attribute DLLImport affects the underneath function.                                           'Das Attribut DLLImport wirkt sich auf die untenstehenden Funktionen aus. 
    'The DLL's name.                                                                                'Der DLL-Name.	  
    'Method call for execution of the DLL function.                                                 'Methodenaufruf zur Ausführung der DLL funktion
    'Charset adapted to Delpi DLL(here Ansi, not Unicode).                                          'Charset wird der Delphi DLL angepasst (Hier wird Ansi verwendet, in Delphi Unicode).
    'Call the DLL function with return to Integer                                                   'Aufruf der Dll funktion mit dem Rückgabewert vom Typ Integer
    <System.Runtime.InteropServices.DllImport(
        "EbmPapstFan.dll",
        CallingConvention:=System.Runtime.InteropServices.CallingConvention.StdCall,
        CharSet:=System.Runtime.InteropServices.CharSet.Ansi)>
    Public Shared Function GetDLLVersion() As Integer
    End Function
#End Region
#Region "Implementation******************************************"
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click   'If button 1 is clicked,                                                                        'Wenn Button1 geklickt wird,
        Dim dllVersion As Integer                                                       'create the variable dllVersion from type integer                                               'erstelle die Variable dllVersion vom Typ Integer,

        dllVersion = GetDLLVersion()                                                    'the variable gets the value (Version) from the function "GetDLLVersion()".                     'Die Variable bekommt den Wert (Version) von der Funktion "GetDLLVersion()"  
        TextBox1.Text = Convert.ToString(dllVersion)                                    'The value is from type Integer, so it must be converted to string, to show it in the textbox.  'Der Wert ist vom Typ Integer, daher muss man ihn in einen Sting umwandeln, um ihn in der Textbox anzeigen zu können.
    End Sub
#End Region
End Class
