﻿Imports System.Runtime.InteropServices
Imports System.Text

Public Class Form1
#Region "global variables****************************************"
    Dim errMessage As String = ""
    Dim sbInputData As StringBuilder = New StringBuilder()
    Dim clickedButtonGlobal As Button = New Button()
#End Region
#Region "externe DLL Einbindung**********************************"
    'Imports the DLL and grants a compatibled access to its functions.                              'Importiert die DLL und gewährt einen kompatiblen Zugang zu ihren Funktionen.
    '(The DLL file has to be in the same folder as the EXE!)                                        '(Die DLL-Datei muss im selben Ordner wie die Exe sein!)

    'Attribute DLLImport affects the underneath function.                                           'Das Attribut DLLImport wirkt sich auf die untenstehenden Funktionen aus. 
    'The DLL's name.                                                                                'Der DLL-Name.	  
    'Method call for execution of the DLL function.                                                 'Methodenaufruf zur Ausführung der DLL funktion
    'Charset adapted to Delpi DLL(here Ansi, not Unicode).                                          'Charset wird der Delphi DLL angepasst (Hier wird Ansi verwendet, in Delphi Unicode).
    'Call the DLL function with return to Integer                                                   'Aufruf der Dll funktion mit dem Rückgabewert vom Typ Integer
    'Mapping (get compatibility) with MarshalAs.                                                    'Kompatibilität mit "MarshlAs" bekommen
    '...in ANSI character set with prefix length										            '...in ANSI Zeichen, mit dem prefix länge gesetzt.
    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=System.Runtime.InteropServices.CallingConvention.StdCall, CharSet:=System.Runtime.InteropServices.CharSet.Ansi)>
    Public Shared Function SET_XML_PATH_PC(<System.Runtime.InteropServices.MarshalAs(System.Runtime.InteropServices.UnmanagedType.AnsiBStr)> path_PAnsiChar As String) As Integer
    End Function
    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_PRODUCTS_PC(<MarshalAs(UnmanagedType.AnsiBStr)> ByRef fanDescription As String) As Integer
    End Function

    'GET_GRAPH_PC
    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_PFA_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_N_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_PT_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_ETA_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_POWER_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_I_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_MD_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_META_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_SOUNDPRESSURE_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_SOUNDPOWER_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_RPM_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

    <System.Runtime.InteropServices.DllImport("EbmPapstFan.dll", CallingConvention:=CallingConvention.StdCall, CharSet:=CharSet.Ansi)>
    Public Shared Function GET_GRAPH_SOUND_PC(<MarshalAs(UnmanagedType.AnsiBStr)> fanDescription As System.String, ByRef buffer As System.String) As Integer
    End Function

#End Region
#Region "show_results********************************************"
    'Lists all from the database received products                                              'Liste alle, von der Datenbank erhaltenen, Produkte auf.
    Private Sub show_results(productsIntern As Integer, fanStringIntern As String)
        Dim block As Integer = 0
        Dim number As Integer = 0

        'Clear all relevant fields before rewriting them                                        'Reinigt alle relevanten Felder, bevor sie Überschrieben werden.   
        ListBoxProducts.Items.Clear()
        ComboBoxIdNo.Items.Clear()
        ComboBoxType.Items.Clear()

        'splits the data containing String at every semicolon                                   'Teilt den Daten enthaltenen String bei jedem Semikolon.
        Dim result() As String = fanStringIntern.Split(";")
        'Each block is a pre splitted String.                                                   'Jeder Block ist ein vorgeteilter String
        'Each number is a line (row or item) in the listBox.                                    'Jede Nummer ist eine Linie (Reihe oder Item) in der ListBox.
        'This loop lists the products by its ID and Type in each line.                          'Die Schleife listet alle Produkte nach ihrer ID und ihrem Typen in jede Zeile auf.

        Do While block < result.Length - 1
            number += 1
            ComboBoxIdNo.Items.Add(result(block))
            ListBoxProducts.Items.Add(number & ": " & result(block) + " | " & result(block + 1))
            ComboBoxType.Items.Add(result(block + 1))
            block += 2
        Loop

        fanStringIntern = ""

        'Insert two new lines at the listBox's beginning for a formated view                    'Fügt 2 neue Zeilen am Anfang der Liste ein, für eine Übersicht.
        ListBoxProducts.Items.Insert(0, "Number of existing ventilators: " & number)
        ListBoxProducts.Items.Insert(1, "-------------------------------------------")
        'Displays the the first Item in each comboBox                                           'Zeigt das erste Item (Produkt) in den beiden Auswahlboxen an(Combobox).
        ComboBoxIdNo.SelectedIndex = 0
        ComboBoxType.SelectedIndex = 0

        TextBoxElements.Text = number.ToString()

    End Sub
#End Region
#Region "clear_polynom_fields_this*******************************"
    'Clears all text boxes corresponding to their called Button.                                       'Leert alle Textboxen entsprechend ihrer aufgerufenen Taste. 
    Private Sub clear_polynom_fields_this()
        'Clears the richTextBoxPolynom                                                                 'Leert die richTextBoxPolynom.   
        richTextBoxPolynom.Clear()
        'Clears each text box corresponding to its parent panel.                                       'Leert jede Textbox entsprechend ihres parent panels.
        'Corresponding to the appropriate clicked Button, every Control in the                         'Entsprechend der gedrückten Taste, bekommt jede Einheit des parent panels
        '_ Button's parent Panel gets the alias text boxes.                                            '_des Tasters den alias textbox.
        For Each textBoxes As TextBox In clickedButtonGlobal.Parent.Controls.OfType(Of TextBox)()
            'Clears the corresponding TextBox                                                          'Leert die entsprechende Textbox.
            textBoxes.Clear()
        Next
    End Sub
#End Region
#Region "clear_polynom_fields_all********************************"
    'Clears all Polynom text boxes.                                               'Leert alle  Polynom-Textboxen.
    Private Sub clear_polynom_fields_all()
        'Clears the richTextBoxPolynom                                            'Leert die richTextBoxPolynom.
        richTextBoxPolynom.Clear()
        'Elects each panel to get its inferior (child) text boxes                 'Wählt jedes Panel aus, um seine untergeordneten textboxen zu bekommen.
        For Each panels As Panel In groupBox1.Controls.OfType(Of Panel)()
            'Clears each text box corresponding to its parent panel               'Leert jede Textbox entsprechend dem parent Panel.
            For Each textBoxes As TextBox In panels.Controls.OfType(Of TextBox)()
                textBoxes.Clear()
            Next
        Next
    End Sub
#End Region
#Region "check_density*******************************************"
    Private Sub check_density()
        Dim density As Double

        If textBoxDensity.Text <> "" Then
            'Without converting the textBoxDensity's String, you can't                                 'Ohne den String der TextBoxDesnsity zu konvertieren, kann man mit
            '_ operate or compare density's value.                                                     '_dem Wert der Diche nicht arbeiten oder ihn vergleichen. 
            density = Convert.ToDouble(textBoxDensity.Text)
            'This is the range of density. If density is out of range                                  'Das ist die Reichweite der Dichte. Wenn die Dichte außerhalb der Reichweite ist,
            '_ then it's not valid and a message occurs.                                               '_dann ist dies nicht gültig und eine Nachricht tritt auf.
            If density > 1.45 Or density < 0.6 Then
                textBoxDensity.Text = ""
                labelDensityErr.Text = "Density not valid!"

                Dim sbMessageBoxDensity As StringBuilder = New StringBuilder()
                sbMessageBoxDensity.Append("Density not valid!")
                sbMessageBoxDensity.Append(vbCrLf)
                sbMessageBoxDensity.Append("Allowed values are from [0.6] to [1.45].")
                sbMessageBoxDensity.Append(vbCrLf)
                sbMessageBoxDensity.Append("For floating values please check if you've wrote ")
                sbMessageBoxDensity.Append("a comma[,] or dot [.] according to your region!")
                MessageBox.Show(sbMessageBoxDensity.ToString(), "Density not valid!")

            Else
                'No error text if density is ok.                                                       'Keine Fehlermeldung wenn die Dichte okay ist.
                labelDensityErr.Text = ""
            End If
        End If
    End Sub
#End Region
#Region "check_products_prerequisite*****************************"
    'Checks if the database is bound to avoid crashes while clicking on buttons                      'Prüft ob eine Datenbank eingebunden ist, um wie Abstürtze zu verhindern, während die Taste (der Button) gedrückt wird.
    Private Sub check_products_prerequisite(Mode As String)

        'If a product is selected and database is bound, then proceed                                'Wenn ein Produkt ausgewählt und die Datenbank eingebunden ist, dann fahre fort.
        If (ComboBoxIdNo.Text <> "" And TextBox_DLL_Error_Code.Text = "0") Then
            'Here you should add the functions you want to call in the                               'Hier sollen die Funktion,die aufgerufen werden sollen, in der
            '_ appropriate order.                                                                    'richtigen / angemessenen Reihenfolge hinzugefügt werden.    
            check_density()
            clear_polynom_fields_this()
            list_item_Graph(Mode)

            'If no product is selected, clear the polynom fields                                     'Wenn kein Produkt ausgewählt, oder keine Datenbank verbunden 
            '_ and throw a message                                                                   '_leere die polynom Felder und gebe eine Nachricht aus.
        Else
            clear_polynom_fields_all()

            Dim sbMessageBox As StringBuilder = New StringBuilder()
            sbMessageBox.Append("A prerequisite is not set! \n")
            sbMessageBox.Append("Please check if you've chosen a product! \n")
            MessageBox.Show(sbMessageBox.ToString(), "Prerequisite not set")
        End If
    End Sub
#End Region
#Region "list_item_Graph*****************************************"
    'interacts with the DLL to get all products out of the binded database                                                 'Interagiert mit der DLL um alle Produkte aus der gebundenen Datenbank zu bekommen.
    'this functions receives a char to use the appropriate mode                                                            'Diese Funktion empfängt ein Zeichen um den angemessenen Modus zu benutzen
    '_ and receives a StringBuilder from the get_input_value function.                                                     '_und sie empfängt einen StringBuilder von der get_input_value Funktion.
    Private Sub list_item_Graph(Mode As String)

        Dim errCodePolynom As Integer = 99

        'Building up a string for transfer to DLL                                                                          'Baut einen String auf, um ihn zur DLL zu übertragen.
        Dim stringInputDataIntern As System.String =
            comboBoxIdNo.Text + ";" + numericUpDown1.Value.ToString() + ";" + textBoxDensity.Text + ";"
        'Preallocating an amount of unused chars                                                                           'Vorbelegung einer Anzahl von ungenutzten Zeichen.
        Dim buffer As String = New String(New Char(), 4000)

        'selects the mode to be used.                                                                                      'Wählt den zu benutzenden Modus aus.
        'errCodePolynom is a received error code from the DLL.                                                             'errCodePolynom ist ein, von der DLL, erhaltener Error Code.
        'stringInputDataIntern is the product ID. Its value will be                                                        'StringInputDataIntern ist die Produkt ID. Sein Wert wird
        '_ changed when getting it back from the DLL and                                                                   '_geändert, wenn er zurück von der DLL kommt und
        '_ this value will be passed to the show_results_Graph function then.                                              '_dieser Wert wird dann an die show_result_Graph Funktion weitergegeben.
        Select Case Mode
            Case "Pfa_PC"
                errCodePolynom = GET_GRAPH_PFA_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

            Case "N_PC"
                errCodePolynom = GET_GRAPH_N_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

            Case "Pt_PC"
                errCodePolynom = GET_GRAPH_PT_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

            Case "Eta_PC"
                errCodePolynom = GET_GRAPH_ETA_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

            Case "P1_PC"
                errCodePolynom = GET_GRAPH_POWER_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

            Case "I_PC"
                errCodePolynom = GET_GRAPH_I_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

            Case "Md_PC"
                errCodePolynom = GET_GRAPH_MD_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

            Case "MEta_PC"
                errCodePolynom = GET_GRAPH_META_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

            Case "LpA_PC"
                errCodePolynom = GET_GRAPH_SOUNDPRESSURE_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

            Case "LwA_PC"
                errCodePolynom = GET_GRAPH_SOUNDPOWER_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

            Case "RPM_PC"
                errCodePolynom = GET_GRAPH_RPM_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

            Case "Sound_PC"
                errCodePolynom = GET_GRAPH_SOUND_PC(stringInputDataIntern, buffer)
                show_Results_Graph(buffer)

        End Select

        'Shows the Polynom Error Code in a TextBox                                                 'Zeigt den Polynom Error Code in einer TextBox an.
        textBox133.Text = Convert.ToString(errCodePolynom)
    End Sub
#End Region
#Region "show_Results_Graph**************************************"
    'Displays the calculated data of a function in the text boxes.                                     'Zeigt die ausgerechneten Daten einer Funktion in den Textboxen an.
    Private Sub show_Results_Graph(inputDataIntern As String)

        Dim exponentcount As Integer = 0
        Dim sbPolynoms As StringBuilder = New StringBuilder()
        Dim sbCalculation As StringBuilder = New StringBuilder()

        'Clears listBox1 before giving new output of polynom data                                      'Leert die listBox1, bevor sie neue Polynomdaten vom Output bekommt.
        richTextBoxPolynom.Clear()

        'Splits inputDataIntern in an Array of String at each semicolon                                'Teilt inputDataIntern in einen Array of String bei jedem Semikolon.
        Dim result() As String = inputDataIntern.Split(";")
        'block is the array's last correct value                                                       'Block ist der letze, richtige Wert vom Array.
        Dim block As Integer = result.Length - 2

        'clickedButtonGlobal is an object which inherits attributes from                               'ClickedButtonGlobal ist ein Objekt, welches, entsprechend der
        '_ the corresponding clicked button.                                                           'geklickten Taste, Attribute erbt.
        richTextBoxPolynom.Text += (clickedButtonGlobal.Text)
        richTextBoxPolynom.Text += vbCrLf
        richTextBoxPolynom.Text += ("-------------------------------------------")
        richTextBoxPolynom.Text += vbCrLf

        'Initiate the calculation formula, starting with the corresponding                             'Initialisiert die Berechnungsformel, startend mit dem entsprechenden
        '_ text of the pressed button.                                                                 '_Text der gedrückten / geklickten Taste.
        sbCalculation.Append(clickedButtonGlobal.Text + "=")

        'Fills the Text Boxes corresponding to their button                                            'Füllt die Textboxen entsprechend ihrer Tasten.
        For Each textBoxes As TextBox In clickedButtonGlobal.Parent.Controls.OfType(Of TextBox)()
            'Prevents out of range errors                                                              'Verhindert außerhalb der Reichweite Fehler / Errors.
            If block >= 0 Then
                'Data output to the GUI                                                                'Daten output zur GUI.  
                'Converting the results which are copied to a temporary variable into double           'Konvertiert das Ergebnis, welches in eine Temporärevariable kopiert wurde, zu double.
                Dim tempdouble As Double = Convert.ToDouble(result(block))
                'Formatting the converted double and return it back to array                           'Formatiert den konvertierten double und sendet ihn zurück zum Array.
                result(block) = String.Format("{0:0.0000000E+00}", tempdouble)
                'Fills every text box which is related to its parent panel                             'Füllt jede Textbox, welche mit dem parent panel verbunden ist.
                textBoxes.Text = result(block)
                sbPolynoms.Append("V^")
                sbCalculation.Append("(")
                sbCalculation.Append(result(block))
                sbCalculation.Append("*")
                sbCalculation.Append("V^")
                sbCalculation.Append(exponentcount)
                sbCalculation.Append(")+")
                'Increments the counting variable for the exponent                                     'Erhöht die Zählervariable um den exponent.
                sbPolynoms.Append(exponentcount)
                exponentcount = exponentcount + 1
                sbPolynoms.Append(vbTab)
                'Appends the actual array position to the StringBuilder                                'Fügt die aktuelle Arrayposition dem Stringbuilder hinzu
                '_ and selects the previous array position for the next call                           '_und wählt die voherige Arrayposition für den nächsten Aufruf aus.
                sbPolynoms.Append(result(block))
                block = block - 1
                richTextBoxPolynom.Text += sbPolynoms.ToString() + vbCrLf
                'Clears sbPolynoms for the next loop                                                   'Leert sbPolynoms für die nächte Schleife.
                sbPolynoms.Clear()
            End If
        Next

        'Writes the whole sbCalculation String mathematical formula to the richTextBoxPolynom.         'Schreibt den ganzen sbCalculation String (mathematische Formel) in die richTextBoxPolynom.
        Convert.ToString(sbCalculation)
        If sbCalculation(sbCalculation.Length - 1) = "+" Then
            sbCalculation.Remove(sbCalculation.Length - 1, 1)
        End If
        richTextBoxPolynom.Text += vbCrLf + sbCalculation.ToString()

    End Sub
#End Region
#Region "Implementation******************************************"
    Private Sub btn_Set_XML_Path_PC_Click(sender As Object, e As EventArgs) Handles btn_Set_XML_Path_PC.Click    'if button Set_XML_Path_PC is clicked,                     'Wenn der Button Set_XML_Path_PC geklickt wird,
        Dim ErrorCode As Integer                                                                                 'create variable from type Integer,                        'erstelle die Variable vom Typ Integer,                                                                          
        SET_XML_PATH_PC(TextBox_Pfad.Text)                                                                       'then take the path from the textbox, set the path and     'dann nehme den Pfad von der Textbox, setze ihn und

        ErrorCode = SET_XML_PATH_PC(TextBox_Pfad.Text)                                                           'gave the value from set_xml_path_pc to errorcode.         'gib den Wert von set_xml_path_pc zur Variable errorcode.

        If ErrorCode = 0 Then                                                                                    'If the value is 0,                                        'Wenn der Wert 0 ist,
            TextBox_Status.Text = ""                                                                             'clear the textbox_Status and                              'leere die Textbox_Status und
            TextBox_Status.Text = "Connected"                                                                    'show the message "Connected" in the textbox_Status.       'zeige die Nachricht "Verbunden" in ihr an.
        Else                                                                                                     'If the value is not 0,                                    'Wenn der Wert nicht 0 ist,
            TextBox_Status.Text = ""                                                                             'clear the textbox_Status and                              'leere die Textbox_Status und
            TextBox_Status.Text = "The path does not exist"                                                      'show the message "The path does not exist".               'zeige die Nachricht "Pfad existiert nicht" in ihr an.
        End If

        TextBox_DLL_Error_Code.Text = ""                                                                         'Clear the textbox_DLL_Error_Code and                      'Leere die Textbox_DLL_Error_Code und 
        TextBox_DLL_Error_Code.Text = Convert.ToString(ErrorCode)                                                'show the orginal ErrorCode in the textbox_DLL_Error_Code. 'zeige den orginal Error Code in ihr an.
    End Sub
    Private Sub ButtonGetProductsPC_Click(sender As Object, e As EventArgs) Handles ButtonGetProductsPC.Click       'If button GetProductsPC is clicked                                                                'Wenn die Taste GetProductsPC geklickt wird,  
        If TextBox_DLL_Error_Code.Text = "0" Then                                                                   'If the shown DLL Error Code is "0":                                                               'Wenn der gezeigte DLL Error Code "0":
            Dim products As Integer = 99                                                                            'Creates "products" with the value 99.                                                             'Erstellt "products" mit dem Wert 99.

            Dim fanStringChar As String = New String(New Char(), 4000)                                              'Initializes fanStringChar with 4000 empty characters.                                             'Initialisiert fanStringChar mit 4000 leeren Zeichen.
            products = GET_PRODUCTS_PC(fanStringChar)                                                               ' products is the amount of readable products out of the database.                                 '"products" is the Anzahl der Lesbaren Produkte in der Datenbank.
            show_results(products, fanStringChar)                                                                   'the passed fanStringChar is an empty String that gets a value when                                'Der "FanStringChar" ist ein leerer String, der seinen Wert bekommt, wenn
            '                                                                                                       'getting it back from the DLL and  this value will be passed to the show_results function then.    'er von der DLL zurück kommt und dieser Wert wird weitergegeben an die "show_result" Funktion.   

        Else                                                                                                        'If the shown DLL ErrorCode is not "0":                                                              /Wenn der gezeigte DLL Error Code nicht "0" ist:
            TextBoxElements.Clear()                                                                                 'The TextboxElements (Number of Elements) becomes cleared.                                           /Die TextboxElements (Anzahl der Elemente) wird geleert.   
            ComboBoxIdNo.Items.Clear()                                                                              'The dropdown menu from ComboBoxIdNo (Product ID) becomes cleared.                                   /Das Auswahlmenü von der ComboBoxIdNo (Produkt ID) wird geleert.
            ComboBoxIdNo.Text = ""                                                                                  'The shown Product ID from ComboBoxIdNo becomes cleared.                                             /Die angezeigte Produkt ID von der ComboBoxIdNo wird gelöscht.
            ComboBoxType.Items.Clear()                                                                              'The dropdown menu from ComboBoxType (Type) becomes cleared.                                         /Das Auswahlmenü von der ComboBoxType (Typ) wird geleert.
            ComboBoxType.Text = ""                                                                                  'The shown Product Type from ComboBoxType becomes cleared.                                           /Der angezeigte Produkt Typ von der ComboBoxType wird gelöscht.
            ListBoxProducts.Items.Clear()                                                                           'The list with all products becomes cleared.                                                         /Die Liste aller Produkte wird geleert. 
            MessageBox.Show("No database selected")                                                                 'And the MassageBox shows the message "No database selected");                                       /Und die MessageBox gibt die Nachricht "Keine Datenbank ausgewählt" aus.
        End If

    End Sub
#Region "Buttons Polynom_PC**************************************"
    Private Sub button13_Click(sender As System.Object, e As System.EventArgs) Handles button13.Click                      'If button is clicked,                                                                               'Wenn die Taste geclickt wird,
        clickedButtonGlobal = sender                                                                                       '_set clickedButtonGlobal to the current button,                                                     '_setze clickedButtonGlobal auf die gerade gedrückte Taste
        check_products_prerequisite("Pfa_PC")                                                                              '_and begin with check_products_prerequisite.                                                        '_und beginne mit check_products_prerequisite.
    End Sub

    Private Sub button14_Click(sender As System.Object, e As System.EventArgs) Handles button14.Click
        clickedButtonGlobal = sender
        check_products_prerequisite("N_PC")
    End Sub

    Private Sub button15_Click(sender As System.Object, e As System.EventArgs) Handles button15.Click
        clickedButtonGlobal = sender
        check_products_prerequisite("Pt_PC")
    End Sub

    Private Sub button16_Click(sender As System.Object, e As System.EventArgs) Handles button16.Click
        clickedButtonGlobal = sender
        check_products_prerequisite("Eta_PC")
    End Sub

    Private Sub button17_Click(sender As System.Object, e As System.EventArgs) Handles button17.Click
        clickedButtonGlobal = sender
        check_products_prerequisite("P1_PC")
    End Sub

    Private Sub button18_Click(sender As System.Object, e As System.EventArgs) Handles button18.Click
        clickedButtonGlobal = sender
        check_products_prerequisite("I_PC")
    End Sub

    Private Sub button19_Click(sender As System.Object, e As System.EventArgs) Handles button19.Click
        clickedButtonGlobal = sender
        check_products_prerequisite("Md_PC")
    End Sub

    Private Sub button20_Click(sender As System.Object, e As System.EventArgs) Handles button20.Click
        clickedButtonGlobal = sender
        check_products_prerequisite("MEta_PC")
    End Sub

    Private Sub button21_Click(sender As System.Object, e As System.EventArgs) Handles button21.Click
        clickedButtonGlobal = sender
        check_products_prerequisite("LpA_PC")
    End Sub

    Private Sub button22_Click(sender As System.Object, e As System.EventArgs) Handles button22.Click
        clickedButtonGlobal = sender
        check_products_prerequisite("LwA_PC")
    End Sub

    Private Sub button23_Click(sender As System.Object, e As System.EventArgs) Handles button23.Click
        clickedButtonGlobal = sender
        check_products_prerequisite("RPM_PC")
    End Sub

    Private Sub button24_Click(sender As System.Object, e As System.EventArgs) Handles button24.Click
        clickedButtonGlobal = sender
        check_products_prerequisite("Sound_PC")
    End Sub
#End Region

#End Region
#Region "Events**************************************************"
    Private Sub comboBoxIdNo_SelectedIndexChanged(sender As System.Object, e As System.EventArgs) Handles ComboBoxIdNo.SelectedIndexChanged        'Changes the focus from the Listbox, ComboboxType or ComboboxIdNo,    'Ändert die Auswahl von der Liste bzw. die Anzeige in den beiden Auswahlmenüs,
        ComboBoxType.SelectedIndex = ComboBoxIdNo.SelectedIndex                                                                                    'when you change the selectedIndex from these 3 things.               'wenn man in einem der 3 Felder einen anderen Eintrag auswählt.  
        ListBoxProducts.SelectedIndex = ComboBoxIdNo.SelectedIndex + 2
    End Sub

    Private Sub comboBoxType_SelectedIndexChanged(sender As System.Object, e As System.EventArgs) Handles ComboBoxType.SelectedIndexChanged        'Changes the focus from the Listbox, ComboboxType or ComboboxIdNo,    'Ändert die Auswahl von der Liste bzw. die Anzeige in den beiden Auswahlmenüs,
        ComboBoxIdNo.SelectedIndex = ComboBoxType.SelectedIndex                                                                                    'when you change the selectedIndex from these 3 things.               'wenn man in einem der 3 Felder einen anderen Eintrag auswählt.  
        ListBoxProducts.SelectedIndex = ComboBoxType.SelectedIndex + 2
    End Sub

    Private Sub listBoxProducts_SelectedIndexChanged(sender As System.Object, e As System.EventArgs) Handles ListBoxProducts.SelectedIndexChanged  'Changes the focus from the Listbox, ComboboxType or ComboboxIdNo,    'Ändert die Auswahl von der Liste bzw. die Anzeige in den beiden Auswahlmenüs,
        If Not ListBoxProducts.SelectedIndex = 0 And Not ListBoxProducts.SelectedIndex = 1 Then                                                    'when you change the selectedIndex from these 3 things.               'wenn man in einem der 3 Felder einen anderen Eintrag auswählt.  
            ComboBoxIdNo.SelectedIndex = ListBoxProducts.SelectedIndex - 2
            ComboBoxType.SelectedIndex = ListBoxProducts.SelectedIndex - 2
        End If
    End Sub
#End Region
End Class
